play.data.validation

## Class Validation.Validator

- java.lang.Object
- - play.data.validation.Validation.Validator

- Enclosing class:
    Validation

      public static class Validation.Validator
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.annotation.Annotation` | `annotation`
    `java.util.Map<java.lang.String,java.lang.Object>` | `params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Validator(java.lang.annotation.Annotation annotation)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### annotation

          public java.lang.annotation.Annotation annotation

    - #### params

          public java.util.Map<java.lang.String,java.lang.Object> params

  - ### Constructor Detail

    - #### Validator

          public Validator(java.lang.annotation.Annotation annotation)

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly